/**
 * pointers.c
 *
 * Andi Peng <andi.peng@yale.edu>
 * Section, Week 4
 * 
 * Demonstrates pointer usage
 */
 
 #include <stdio.h>
 
 int main(void)
 {
     // initializes 3 integers
     int a = 3;
     int b = 4;
     int c = 5;
     
     // initializes 3 pointers to those integers
     int* pa = &a;
     int* pb = &b;
     int* pc = &c;
     
     // prints out values
     printf("a is %i\n", a);
     printf("b is %i\n", b);
     printf("c is %i\n", c);
     printf("address of a is %p\n", &pa);
     printf("address of b is %p\n", &pb);
     printf("address of c is %p\n", &pc);
 }